2019-10-16 15:28 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002108FSSCPBuild systempublic2010-02-13 07:05
Reporterswashmebuckle 
Assigned ToEchelon9 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0002108: Mac Inferno build configurations do not correctly set INF_BUILD in Xcode
DescriptionAttempting to warpout at any point during a mission does nothing with any recent mac nightly inferno debug build (OSX 10.5.8). The debug log prints these two lines every time I hit option-j:

Got event GS_EVENT_PLAYER_WARPOUT_START (41) in state GS_STATE_GAME_PLAY (2)
Player isn't in normal mode; cannot warp out.

The mac inferno debug builds currently use the standard pilot files rather than inferno pilots for some reason, which sounds like it might be what the error in the debug log is talking about.

Warpout works fine with the standard debug build and inferno release build from the same set.
Additional InformationTested with the most recent mac nightlies (5852)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011612

Echelon9 (developer)

Issues are present with loading the correct pilot files with Inferno Debug (at least on Mac)

~0011615

blowfish (reporter)

Confirmed, using a personal build. It's also not just pilot files - Inferno Debug builds don't have the higher ship limits etc, which makes me think that the Inferno stuff isn't even getting enabled.

~0011616

Zacam (administrator)

Issue occurs as far back as 3.6.10 INF Debug, so it's not related to any current changes.

~0011663

Echelon9 (developer)

Fixed in http://svn.icculus.org/fs2open?view=rev&revision=5911
+Notes

-Issue History
Date Modified Username Field Change
2010-01-29 13:03 swashmebuckle New Issue
2010-01-29 13:03 swashmebuckle Status new => assigned
2010-01-29 13:03 swashmebuckle Assigned To => chief1983
2010-01-29 13:03 swashmebuckle File Added: fs2_open.log
2010-01-29 13:04 Echelon9 Assigned To chief1983 => Echelon9
2010-02-01 10:48 Echelon9 Note Added: 0011612
2010-02-01 10:48 Echelon9 Status assigned => confirmed
2010-02-05 02:56 blowfish Note Added: 0011615
2010-02-05 05:22 Echelon9 Summary Can't warpout using Inferno debug builds on Mac => Mac Inferno build configurations do not correctly set INF_BUILD in Xcode
2010-02-05 17:09 Zacam Note Added: 0011616
2010-02-13 07:05 Echelon9 Note Added: 0011663
2010-02-13 07:05 Echelon9 Status confirmed => resolved
2010-02-13 07:05 Echelon9 Fixed in Version => 3.6.11
2010-02-13 07:05 Echelon9 Resolution open => fixed
+Issue History